# Created by pyp2rpm-3.3.2
%global pypi_name pyfmodex

Name:           python-%{pypi_name}
Version:        0.5.4
Release:        1%{?dist}
Summary:        Python bindings to the Fmod Ex library

License:        MIT
URL:            https://www.github.com/tyrylu/pyfmodex
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 This is pyfmodex a fmod ex binding using ctypes.Installation For installation,
first make sure that you have the fmod stuio library for you platform somewhere
on your path, so python will be able to find it. For download visit For some
reason, the API download requires a free account. Then, install it via pip or
easy_install, or, you can always use the setup.py way. Don't forget
superuser...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(py-flags)
%description -n python3-%{pypi_name}
 This is pyfmodex a fmod ex binding using ctypes.Installation For installation,
first make sure that you have the fmod stuio library for you platform somewhere
on your path, so python will be able to find it. For download visit For some
reason, the API download requires a free account. Then, install it via pip or
easy_install, or, you can always use the setup.py way. Don't forget
superuser...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc readme.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Thu May 16 2019 mockbuilder - 0.5.4-1
- Initial package.